apt: pkgAcqArchive Class Reference

apt 2.7.5 commandline package manager

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
pkgAcqArchive Class Reference
Acquire system {{{

An item that is responsible for fetching a package file. {{{. More...

`#include <apt-pkg/acquire-item.h>`

Inheritance diagram for pkgAcqArchive:

## Public Member Functions
virtual void | Failed (std::string const &Message, pkgAcquire::MethodConfig const *const Cnf) APT_OVERRIDE
virtual void | Done (std::string const &Message, HashStringList const &Hashes, pkgAcquire::MethodConfig const *const Cnf) APT_OVERRIDE
virtual std::string | DescURI () const APT_OVERRIDE
virtual std::string | ShortDesc () const APT_OVERRIDE
virtual void | Finished () APT_OVERRIDE
virtual bool | IsTrusted () const APT_OVERRIDE
virtual HashStringList | GetExpectedHashes () const APT_OVERRIDE
virtual bool | HashesRequired () const APT_OVERRIDE
| pkgAcqArchive (pkgAcquire *const Owner, pkgSourceList *const Sources, pkgRecords *const Recs, pkgCache::VerIterator const &Version, std::string &StoreFilename)
| Create a new pkgAcqArchive.

## Protected Member Functions
bool | QueueNext ()
| Queue up the next available file for this version.
virtual std::string | GetFinalFilename () const APT_OVERRIDE
| Get the full pathname of the final file for the current URI.

## Protected Attributes
pkgCache::VerIterator | Version
| The package version being fetched.
pkgSourceList * | Sources
| The list of sources from which to pick archives to download this package from.
pkgRecords * | Recs
| A package records object, used to look up the file corresponding to each version of the package.
std::string & | StoreFilename
| A location in which the actual filename of the package should be stored.
bool | Trusted
| true if this version file is being downloaded from a trusted source.

## Detailed Description

An item that is responsible for fetching a package file. {{{.

If the package file already exists in the cache, nothing will be done.

## Constructor & Destructor Documentation

## ◆ pkgAcqArchive()

pkgAcqArchive | ( | pkgAcquire *const | Owner,
|  | pkgSourceList *const | Sources,
|  | pkgRecords *const | Recs,
|  | pkgCache::VerIterator const & | Version,
|  | std::string & | StoreFilename
| ) |  |

Create a new pkgAcqArchive.

Parameters

  | Owner | The pkgAcquire object with which this item is associated.
  | Sources | The sources from which to download version files.
  | Recs | A package records object, used to look up the file corresponding to each version of the package.
  | Version | The package version to download.
  [out] | StoreFilename | A location in which the actual filename of the package should be stored. It will be set to a guessed basename in the constructor, and filled in with a fully qualified filename once the download finishes.

References HashStringList::empty(), pkgCache< Str, Itr >::Flag::LocalSource, pkgCache< Str, Itr >::Flag::NotSource, HashStringList::push_back(), Recs, Sources, StoreFilename, Trusted, and Version.

The documentation for this class was generated from the following files:

- apt-pkg/acquire-item.h
- apt-pkg/acquire-item.cc